### Function

# GObject signal_stop_emission_by_name

#### Declaration [src]

    void
    g_signal_stop_emission_by_name (
      GObject* instance,
      const gchar* detailed_signal
    )

#### Description [src]

Stops a signal’s current emission.

This is just like `g_signal_stop_emission()` except it will look up the signal id for you.

#### Parameters

`instance`

  Type: `GObject`

  The object whose signal handlers you wish to stop.

  The data is owned by the caller of the function.

`detailed_signal`

  Type: `const gchar*`

  A string of the form “signal-name::detail”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.